<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.9

Copyright (C) 2006-2009  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smitst.homelinux.com
****************************************************************************************/


// Vérification des tentatives de hack
$pos=strpos($_SERVER['PHP_SELF'],"inc.php");
if ($pos===FALSE)
	$ok_inc=TRUE;
else
	$ok_inc=FALSE;
if ($ok_inc==FALSE) header("Location: ../index.php");

include_once("../inc/fic_loc.inc.php");
include_once("../inc/fic_tac.inc.php");
include_once("../inc/func.inc.php");
include_once("../inc/func_date.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_txt.inc.php");
include_once("../inc/lst.inc.php");
Archivelog(@$_SESSION["code_log"]);
$fi="";
if (isset($_GET['fi']) && (trim($_GET['fi'])<>""))
	$fi=intval(strip_tags(trim($_GET['fi'])));
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>

<META http-equiv=Content-Type content="text/html; charset=iso-8859-1">
<title>SMI - <?PHP echo $title_esp_prive; ?> : Impression Liste Contrats Location</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../css/smi.css" rel="stylesheet" type="text/css">

<!-- Scripts Javascript pour fenêtres -->
<script language="JavaScript" src="../jscript/fen.js"></script>

<!-- Scripts Javascript pour alertes -->
<script language="JavaScript" src="../jscript/alertes.js"></script>

</head>

<body onLoad="warnimplst();">

<?PHP
if (@$_SESSION["niv_log"] >= 5)
	entimplst("LISTE DES CONTRATS DE LOCATION");
else
	entimplst("VOS CONTRATS DE LOCATION");

$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
mysql_select_db(DBNAME);

$rech = cree_strrechlstcoloc();

switch ($fi)
{
	case "1" :
		if(!stristr($rech,"WHERE "))
			$rech .= " WHERE coloc_dateclos='0000-00-00'";
		else
			$rech .= " AND coloc_dateclos='0000-00-00'";
		break;
	case "2" :
		if(!stristr($rech,"WHERE "))
			$rech .= " WHERE coloc_dateclos<>'0000-00-00'";
		else
			$rech .= " AND coloc_dateclos<>'0000-00-00'";
		break;
	default :
		break;
}
$rech .= crestr_triord($coloc_titre_col,"coloc_code",FALSE,$limit);

$rs = mysql_query($rech) or die(mysql_error());
$numrows = mysql_num_rows($rs); // Nombre de résultats à la requête
		
// *** Affichage de la table
 echo "<table class=\"MItable\" border=\"0\" width=\"100%\" cellpadding=\"0\" cellspacing=\"0\">\n";     

// Création entête
titimplst($coloc_titre_col);
	
while ($row = mysql_fetch_assoc($rs)) 
{         
 // Affichage résumé contrat location

	// Création de l'entête de ligne (TR)
	echo "<tr>";

	echo "<td>";
	echo $row["coloc_code"];

	$nb_pdtloc=nb_pdtloc_in_coloc($row["coloc_code"],FALSE);

	// CREATION d'icône si terminé
	if (formatedate($row["coloc_dateclos"]) =="")
	{
		if (all_pdtloc_ret_in_coloc($row["coloc_code"],FALSE)==TRUE)
		{
			$row["coloc_dateclos"]=lastdate_ret_in_coloc($row["coloc_code"],FALSE);
			clot_coloc($row["coloc_code"],$row["coloc_dateclos"],FALSE);
		}
	}

	if (formatedate($row["coloc_dateclos"]) <> "")
	{
		$lst_fini = TRUE;
		echo "<br>";
		echo "<span class=\"annot_petit_it\">";
		echo "Terminé le ";
		if (formatedate($row["coloc_dateclos"]) <> "")
			echo formatedate($row["coloc_dateclos"]);
		echo "</span>";
	}

	// Icône si pas de produit dans le contrat
	if ($nb_pdtloc==0)
	{
		$lst_fini = TRUE;
		echo "<br>";
		echo "<span class=\"annot_petit_it\">";
		echo "Aucun produit ";
		echo "</span>";
	}

	// Géré par
	if ((@$_SESSION["niv_log"] <>3) AND (@$_SESSION["niv_log"] <>4))
	{
		 echo "<br>";
		 echo "<span class=\"annot_petit_it\">";
		 $txt = formatetxt($row["coloc_codeage"]);
		 echo "->Agence : ".htmlspecialchars($txt,ENT_NOQUOTES);
		 echo "</span>";
	}
	echo "</td>\n";

	echo "<td>";
	echo $row["coloc_codecli"];
	// Affichage détail contact
	$detailcli = "->";
	switch ($row["coloc_typcli"])
	{
		// Client
		case 0 :
			if ($row["cli_ste"] <> "")
				$detailcli .= $row["cli_ste"].", ";
			$detailcli .= $row["cli_civilite"]." ".$row["cli_nom"];
			break;
		// Agence
		case 1 :
			$detailcli .= $row["cli_ste"].", ";
			$detailcli .= $row["cli_civilite"]." ".$row["cli_nom"];
			break;
		// Technicien
		case 2 :
		case 4 :
			$detailcli .= $row["cli_civilite"]." ".$row["cli_nom"];
			break;
		case 3 :
			$detailcli .= $row["cli_ste"].", ";
			$detailcli .= $row["cli_civilite"]." ".$row["cli_nom"];
			break;
	}
	echo "<br>";
	echo "<span class=\"annot_petit_it\">";
	echo $detailcli;
	echo "</span>";
	// Fin affichage détail contact
	echo "</td>\n";

	// Début
	echo "<td align=\"center\">";
	if (formatedate($row["coloc_datedeb"]) <> "")
		echo formatedate($row["coloc_datedeb"]);
	else
		echo "-";
	echo "</td>\n";

	// Fin
	echo "<td align=\"center\">";
	if (formatedate($row["coloc_datefin"]) <> "")
		echo formatedate($row["coloc_datefin"]);
	else
		echo "-";
	echo "</td>\n";

	 echo "</tr>\n";
 // Fin affichage résumé intervention
	
	$i++;    
}  
echo "</table>\n";
// *** Fin affichage de la table

mysql_free_result($rs);
mysql_close($conn);
?>
</body>
</html>